org.keycloak.dom.saml.v2.protocol

## Class AssertionIDRequestType

- java.lang.Object
- - org.keycloak.dom.saml.common.CommonRequestAbstractType
  - - org.keycloak.dom.saml.v2.protocol.RequestAbstractType
    - - org.keycloak.dom.saml.v2.protocol.AssertionIDRequestType

- All Implemented Interfaces:
    Serializable, SAML2Object

      public class AssertionIDRequestType
      extends RequestAbstractType

  Java class for AssertionIDRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AssertionIDRequestType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:protocol}RequestAbstractType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AssertionIDRef" maxOccurs="unbounded"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<String>` | `assertionIDRef`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.protocol.RequestAbstractType

      `consent, destination, extensions, issuer, version`

    - ### Fields inherited from class org.keycloak.dom.saml.common.CommonRequestAbstractType

      `id, issueInstant, signature`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssertionIDRequestType(String id, XMLGregorianCalendar instant)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAssertionIDRef(String id)` Add assertion id reference
    `List<String>` | `getAssertionIDRef()` Gets the value of the assertionIDRef property.
    `void` | `removeAssertionIDRef(String id)` remove assertion id reference

    - ### Methods inherited from class org.keycloak.dom.saml.v2.protocol.RequestAbstractType

      `getConsent, getDestination, getExtensions, getIssuer, getVersion, setConsent, setDestination, setExtensions, setIssuer`

    - ### Methods inherited from class org.keycloak.dom.saml.common.CommonRequestAbstractType

      `getID, getIssueInstant, getSignature, setSignature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### assertionIDRef

          protected List<String> assertionIDRef

  - ### Constructor Detail

    - #### AssertionIDRequestType

          public AssertionIDRequestType(String id,
                                        XMLGregorianCalendar instant)

  - ### Method Detail

    - #### addAssertionIDRef

          public void addAssertionIDRef(String id)

      Add assertion id reference
      Parameters:
        `id` -

    - #### removeAssertionIDRef

          public void removeAssertionIDRef(String id)

      remove assertion id reference
      Parameters:
        `id` -

    - #### getAssertionIDRef

          public List<String> getAssertionIDRef()

      Gets the value of the assertionIDRef property.

Copyright © 2016 JBoss by Red Hat. All rights reserved.